*** Settings ***
#用来填写备注说明
Documentation  callcenter_Relaynumber_V6_full1.robot
...            author: jiawei


#引用  ${EXECDIR}=执行
Resource    ${EXECDIR}/keyword/common_keywords_set.robot
#Resource    ${EXECDIR}/keyword/call_center_keyword.robot
Resource    ${EXECDIR}/callcenter_Skillsgroup_V6_setup_teardown.robot


Suite Setup       Run Keywords    My Suite Setup
Test Setup        Run Keywords    My Test Setup

#*********************************************************************
*** Variables ***
${sleep_3}     3
${sleep_2}     2
${sleep_6}     6
${sleep_60}     60

#*********************************************************************
*** Test Cases ***
#用例名字=new tast case
##进入技能组搜索
#Tc0 Skill group search case
##说明
#    [Documentation]
#    ...    -  进入呼叫中心
#    ...    -  进入呼叫中心
#    ...    -  进入技能组搜索
#    [Tags]    Sanity    0    呼叫中心
#
#    Log    ---------- Tc0 step 1: 进入V6呼叫中心erererrer ------------    console=True
#    Click Element    ${locator_vars}[V6-新呼叫中心]
#
#    Log    ---------- Tc0 step 2: 进入呼叫中心 > 技能组 ------------    console=True
#    Wait Until Page Contains    技能组     ${sleep_60}
#    Click Element    ${locator_vars}[V6-呼叫技能组]
#    Sleep     ${sleep_3}
#    Log    ---------- Tc0 step 3: 搜索存在数据 -------------------------------    console=True
#    #声明关键字
#    ${searchlist}    Set Variable    测试
#    Input Text     ${locator_vars}[V6-技能组-名/组号搜索框]        ${searchlist}
#    Sleep    ${sleep_3}
#    #获取搜索结果数据 组名称 组号
#    ${listDataName}    Get Table Data For Column     tbody_locator=${locator_vars}[V6-技能组tbody]     column=1    right_arrow_locator=${locator_vars}[V6-技能组-下一页]
##    Reload Page 刷新界面
##    Sleep    ${sleep_3}
##    Input Text     ${locator_vars}[V6-技能组-名/组号搜索框]        ${searchlist}
#    ${listDataNumber}    Get Table Data For Column
#    ...      tbody_locator=${locator_vars}[V6-技能组tbody]
#    ...      column=2
#    ...      right_arrow_locator=${locator_vars}[V6-技能组-下一页]
#    ...      the_first_page_locator=${locator_vars}[V6-技能组-第一页切换]
#    Log     ------比对结果--------
#    Check Whether Search Getting Table Data Match Column Value  column1_list=${listDataName}    column2_list=${listDataNumber}    search_item=${searchlist}
#    Log     ---------- Tc0 step 4: 搜索不存在数据 -------------------------------    console=True
#    Click Element      ${locator_vars}[V6-技能组-搜索框-删除]
#    Sleep     ${sleep_3}
#    ${searchlist}    Set Variable   40测试
#    Input Text    ${locator_vars}[V6-技能组-名/组号搜索框]   ${searchlist}
#    Check Table Data For Null    tbody_locator=${locator_vars}[V6-技能组tbody]
#    Log     ---------- Tc0 step 5: 搜索不存在数据（特殊符号） -------------------------------    console=True
#    Click Element      ${locator_vars}[V6-技能组-搜索框-删除]
#    Sleep     ${sleep_3}
#    ${searchlist}    Set Variable   %#!*
#    Input Text    ${locator_vars}[V6-技能组-名/组号搜索框]   ${searchlist}
#    Check Table Data For Null    tbody_locator=${locator_vars}[V6-技能组tbody]
#    Log     ---------- Tc0 step 6: 搜索不存在数据（空格） -------------------------------    console=True
#    Click Element      ${locator_vars}[V6-技能组-搜索框-删除]
#    Sleep     ${sleep_3}
#    ${searchlist}    Set Variable    ${SPACE}
#    Input Text    ${locator_vars}[V6-技能组-名/组号搜索框]   ${searchlist}
#    Check Table Data For Null    tbody_locator=${locator_vars}[V6-技能组tbody]
#断点
    #Write Url And Session Into File


#Tc1 Skill group add case
#
#    [Documentation]
#    ...    -  进入呼叫中心
#    ...    -  进入呼叫中心
#    [Tags]    Sanity    1    呼叫中心
#
#    Log    ---------- Tc1 step 0: 进入V6呼叫中心erererrer ------------    console=True
#    Click Element    ${locator_vars}[V6-新呼叫中心]
#
#    Log    ---------- Tc1 step 2: 进入呼叫中心 > 技能组 ------------    console=True
#    Wait Until Page Contains    技能组     ${sleep_60}
#    Click Element    ${locator_vars}[V6-呼叫技能组]
#    Sleep     ${sleep_3}
##添加
#    Log    --------------- Tc1 step 0: 新增技能组（重复组号/重复名字） -------------------------------    console=True
#    ${groupName}   Set Variable   自动化测试2121
#    ${groupNumber}     Set Variable   2121
#    Log     新增
#    Click Element    ${locator_vars}[V6-技能组-新增]
#    Input Text      ${locator_vars}[V6-技能组-名称文本]    ${groupName}
#    Input Text      ${locator_vars}[V6-技能组-组号]    ${groupNumber}
#    Click Element    ${locator_vars}[V6-技能组-弹板-新建]
#    #查看是否有错误弹板
#    Check Flash Prompt Message     flash_prompt_locator=${locator_vars}[组成员-添加-错误提示弹板]     excepted_message=队列号已存在
#    Log   --------------- Tc1 step 3: 新增技能组（非组号重复名字） -------------------------------    console=True
#    Clear Text Information      ${locator_vars}[V6-技能组-名称文本]
#    Clear Text Information      ${locator_vars}[V6-技能组-组号]
#    Sleep     ${sleep_3}
#
#    ${groupNumber}     Set Variable   2121
#    Log     新增
#    Input Text      ${locator_vars}[V6-技能组-名称文本]    ${groupName}
#    Input Text      ${locator_vars}[V6-技能组-组号]    ${groupNumber}
#    Click Element    ${locator_vars}[V6-技能组-弹板-新建]
#    Sleep     ${sleep_3}
#    Click Element    ${locator_vars}[组成员-添加]
#    Log     --------校验是否添加成功---------
#    Click Element    ${locator_vars}[V6-技能组-创建返回列表]

#    ${listDataNumber}    Get Table Data For Column
#    ...      tbody_locator=${locator_vars}[V6-技能组tbody]
#    ...      column=2
#    ...      right_arrow_locator=${locator_vars}[V6-列表-下一页]
#    ...      the_first_page_locator=${locator_vars}[V6-列表-第一页切换]
#    Check Items Match Or Not In List     all_data=${listDataNumber}    check_items=${groupNumber}


# Tc2 Skill group upadate case
#     [Documentation]
#     ...    -  进入技能组编辑技能组
#     [Tags]    Sanity    2    呼叫中心

#     Log    ---------- Tc2 step 0: 进入V6呼叫中心erererrer ------------    console=True
#     Click Element    ${locator_vars}[V6-新呼叫中心]

#     Log    ---------- Tc2 step 1: 进入呼叫中心 > 技能组 ------------    console=True
#     Wait Until Page Contains    技能组     ${sleep_60}
#     Click Element    ${locator_vars}[V6-呼叫技能组]
#     Sleep     ${sleep_3}
#     ${groupNumber}     Set Variable     6644
#     Input Text      ${locator_vars}[V6-技能组-名/组号搜索框]     ${groupNumber}
#     Press Keys      ${locator_vars}[V6-技能组-名/组号搜索框]    \ue007

#     Sleep     ${sleep_3}
#     Click Element     ${locator_vars}[v6-技能组-编辑-1行]
#    Log    ---------- Tc2 step 2: 进入呼叫中心 > 技能组 》添加组成员------------    console=True
#    Sleep     ${sleep_3}
#    Click Element    ${locator_vars}[组成员-添加]
#    Sleep     ${sleep_3}
#    ${checkMembers}       Create Dictionary
#    #创建字典
#    Set To Dictionary      ${checkMembers}
#    ...      ${locator_vars}[V6-技能组-组成员-添加勾选-1行]=ant-checkbox-wrapper ant-checkbox-wrapper-checked
#    ...      ${locator_vars}[V6-技能组-组成员-添加勾选-2行]=ant-checkbox-wrapper ant-checkbox-wrapper-checked
#    Log   ${checkMembers}
#    #搜索组成员-------------------------------------------------------------？
#    #勾选组成员随便勾选
#    Select Checkbox Items By Element Attribute         items_dict=${checkMembers}    attribute_name=class
#    Log    添加
#    Click Element   ${locator_vars}[V6-技能组-组成员-弹板-添加]
#
#    Check Flash Prompt Message     flash_prompt_locator=${locator_vars}[V6-技能组-组成员-添加-添加成功]     excepted_message=保存成功
#    Sleep    ${sleep_3}
#    Log   ------ --------- Tc2 step 3: 进入呼叫中心 > 技能组 》移除成员 ------------    console=True
#     #勾选全部移除
#     Sleep    ${sleep_2}
#     Click Element      ${locator_vars}[组成员-列表-全选-当页]
#     Click Element      ${locator_vars}[V6-技能组-组成员-全部移除]
#     Sleep    ${sleep_2}
#     Click Element      ${locator_vars}[V6-技能组-组成员-全部移除-确定]
#     Check Flash Prompt Message     locator=${locator_vars}[V6-技能组-组成员-添加-删除成功]     excepted_message=删除成功
#     Check Table Data For Null    tbody_locator=${locator_vars}[V6-列表-下一页]
#
#     Log   ------------------------------- Tc2 step 4: 进入呼叫中心 > 技能组 》技能组排队设置 ------------    console=True
#     Wait Until Page Contains  技能组排队    ${sleep_60}
#     Click Element      ${locator_vars}[V6-技能组-技能组排队-Tab]
#     Sleep   ${sleep_3}
#     #开启排队
#     Execute Action By Element Attribute
#     ...    locator=${locator_vars}[V6-技能组-技能组排队-VIP客户]
#     ...    attribute_name=aria-checked
#     ...    attribute_value=true
#     Execute Action By Element Attribute
#     ...    locator=${locator_vars}[V6-技能组-技能组排队-VIP客户]
#     ...    attribute_name=class
#     ...    attribute_value=ant-switch sui-switch ant-switch-checked
#     #输入最大排队人数正向
#     ${max}     Create List     9999  12  3
#     FOR   ${number}    IN  @{max}
#             Log   ${number}
#             FOR   ${i}    IN RANGE   10
#                Press Key    ${locator_vars}[V6-技能组-技能组排队-最大排队人数]    \\8
#             END
#             Input text   ${locator_vars}[V6-技能组-技能组排队-最大排队人数]   ${number}
#             Run keyword If   1>=${number}>99   Wait Until Page Contains   ${locator_vars}[V6-技能组-技能组排队人数-错误提示]    ${sleep_6}
#        Log   ${number}
#     END
#     #选择等待提示音
#     ${check_item}    Set Variable     测试2
#     Select Single Item From Dropdown Random List    dl_locator=${locator_vars}[V6-技能组-技能组排队-排队等待背景音]
#     ...     dl_content_locator=${locator_vars}[V6-技能组-技能组排队-排队等待背景音-下拉列表]
#     ...     single_item=${check_item}
#     ...     append_locator=${locator_vars}[V6-技能组-技能组排队-排队等待背景音-选中位置]
#     #等待间隔提示音打开
#     Execute Action By Element Attribute
#     ...    locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-开关]
#     ...    attribute_name=class
#     ...    attribute_value=ant-switch sui-switch ant-switch-checked
#     Execute Action By Element Attribute
#     ...    locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-开关]
#     ...    attribute_name=aria-checked
#     ...    attribute_value=true
##     #等待间隔提示音关闭
##     Execute Action By Element Attribute
##     ...    locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-开关]
##     ...    attribute_name=class
##     ...    attribute_value=ant-switch sui-switch
##     Execute Action By Element Attribute
##     ...    locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-开关]
##     ...    attribute_name=aria-checked
##     ...    attribute_value=false
#    Sleep    ${sleep_2}
#    #播放间隔
#    ${mine}      Set Variable  40
#    FOR   ${i}    IN RANGE   10
#                Press Key    ${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放间隔]    \\8
#    END
#    Input text   ${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放间隔]   ${mine}
#    #播放语音
#    ${check_item}    Set Variable     音频
#    Select Single Item From Dropdown Random List    dl_locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放语音-类型]
#    ...     dl_content_locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放语音-类型-下拉列表]
#    ...     single_item=${check_item}
#    ...     append_locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放语音-类型-选中位置-音频]
#    ${check_item}    Set Variable     测试2
#    Select Single Item From Dropdown Random List    dl_locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放语音-音频]
#    ...     dl_content_locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放语音-音频-下拉列表]
#    ...     single_item=${check_item}
#    ...     append_locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放语音-音频-选中位置]
#    Click Element  ${locator_vars}[V6-技能组-保存]
#    Check Flash Prompt Message     flash_prompt_locator=${locator_vars}[V6-技能组-组成员-添加-添加成功]     excepted_message=保存成功
    # Log   ------------------------------- Tc2 step 4: 进入呼叫中心 > 技能组 》组内座席分配 ------------    console=True
    # Click Element  ${locator_vars}[V6-技能组-组内座席分配]
    # #打开组内分配
    # Execute Action By Element Attribute
    # ...    locator=${locator_vars}[V6-技能组-座席分配-优先分配上次接待座席]
    # ...    attribute_name=class
    # ...    attribute_value=ant-switch sui-switch ant-switch-checked
    # Execute Action By Element Attribute
    # ...    locator=${locator_vars}[V6-技能组-座席分配-优先分配上次接待座席]
    # ...    attribute_name=aria-checked
    # ...    attribute_value=true
#     #组内分配关闭
#     Execute Action By Element Attribute
#     ...    locator=${locator_vars}[V6-技能组-座席分配-优先分配上次接待座席]
#     ...    attribute_name=class
#     ...    attribute_value=ant-switch sui-switch
#     Execute Action By Element Attribute
#     ...    locator=${locator_vars}[V6-技能组-座席分配-优先分配上次接待座席]
#     ...    attribute_name=aria-checked
#     ...    attribute_value=false
    # Click Element   ${locator_vars}[V6-技能组-座席分配-座席分配策略-空闲时长最长座席]
    # ${duration}     Set Variable       35
    # FOR   ${i}    IN RANGE   10
    #            Press Key    ${locator_vars}[V6-技能组-座席分配-座席分配策略-座席最长振铃时间]    \\8
    # END
    # Input text   ${locator_vars}[V6-技能组-座席分配-座席分配策略-座席最长振铃时间]   ${duration}
    # #打开客户侧提示音
    # Execute Action By Element Attribute
    # ...    locator=${locator_vars}[V6-技能组-座席分配-座席分配策略-客户侧提示音]
    # ...    attribute_name=class
    # ...    attribute_value=ant-switch sui-switch ant-switch-checked
    # Execute Action By Element Attribute
    # ...    locator=${locator_vars}[V6-技能组-座席分配-座席分配策略-客户侧提示音]
    # ...    attribute_name=aria-checked
    # ...    attribute_value=true
    # #关闭客户侧提示音
    # # Execute Action By Element Attribute
    # # ...    locator=${locator_vars}[V6-技能组-座席分配-座席分配策略-客户侧提示音]
    # # ...    attribute_name=class
    # # ...    attribute_value=ant-switch sui-switch
    # # Execute Action By Element Attribute
    # # ...    locator=${locator_vars}[V6-技能组-座席分配-座席分配策略-客户侧提示音]
    # # ...    attribute_name=aria-checked
    # # ...    attribute_value=false
    # #添加提示音
    # Click Element   ${locator_vars}[V6-技能组-座席分配-座席分配策略-客户侧提示音-添加]
    # Click Element   ${locator_vars}[V6-技能组-保存]
    # Check Flash Prompt Message     flash_prompt_locator=${locator_vars}[V6-技能组-组成员-添加-添加成功]     excepted_message=保存成功
Tc3 Skill group upadate case
    [Documentation]
    ...    -  进入技能组编辑技能组
    [Tags]    Sanity    3    呼叫中心

    Log    ---------- Tc3 step 0: 进入V6呼叫中心erererrer ------------    console=True
    Click Element    ${locator_vars}[V6-新呼叫中心]

    Log    ---------- Tc3 step 1: 进入呼叫中心 > 技能组 ------------    console=True
    Wait Until Page Contains    技能组     ${sleep_60}
    Click Element    ${locator_vars}[V6-呼叫技能组]
    Sleep     ${sleep_3}
    ${groupNumber}     Set Variable     6644
    Input Text      ${locator_vars}[V6-技能组-名/组号搜索框]     ${groupNumber}
    Press Keys      ${locator_vars}[V6-技能组-名/组号搜索框]    \ue007
    Click Element   ${locator_vars}[V6-呼入路由]
    ${callinName}   Set Variable    自动化引用技能组
    Log     ----------- 新建 --------------------------------
    Sleep    ${sleep_3}
    Click Element   ${locator_vars}[V6-呼入路由-新建]
    Input Text      ${locator_vars}[V6-呼入路由-编辑-路由名称]        ${callinName}
    Click Element   ${locator_vars}[V6-呼入路由-编辑-呼入中继号码]
    Sleep   ${sleep_2}
    Execute Action By Element Attribute
    ...    locator=${locator_vars}[V6-呼入路由-编辑-呼入中继号码-选择号码-全选-lable]
    ...    attribute_name=class
    ...    attribute_value=ant-checkbox-wrapper ant-checkbox-wrapper-checked
    Execute Action By Element Attribute
    ...    locator=${locator_vars}[V6-呼入路由-编辑-呼入中继号码-选择号码-全选-span]
    ...    attribute_name=class
    ...    attribute_value=ant-checkbox ant-checkbox-checked
    Click Element   ${locator_vars}[V6-呼入路由-编辑-呼入中继号码-选择号码-确定]
    #分配规则选择
    Select Single Item From Dropdown Random List    dl_locator=${locator_vars}[V6-呼入路由-编辑-呼入中继号码-分配规则-选技能组]
    ...     dl_content_locator=${locator_vars}[V6-呼入路由-编辑-呼入中继号码-分配规则-选技能组-下拉列表]
    ...     single_item=${check_item}
    ...     append_locator=${locator_vars}[V6-技能组-技能组排队-等待间隔提示音-播放语音-类型-选中位置-音频]




