*** Settings ***
Documentation
...    Keyword List:
...        My Suite Setup
...        My Test Setup
...        My Test Teardown
...        My Suite Teardown


*** Keywords ***

My Suite Setup
    [Documentation]
    Log    ========================== My Suite Setup Start ==========================    console=True
    &{gbl_vars}=    Fetch Json Vars    file=D:\\word\\自动化\\script_template\\json_file\\call_center_vars.json
    Set Global Variable    ${gbl_vars}
	#Log    ${gbl_vars}[url]                              #推荐这种写法
	#Log    ${gbl_vars}[customer_email]
	#Log    ${gbl_vars}[customer_email][2]
	#Log    ${gbl_vars}[time]
	#Log    ${gbl_vars}[time][minute]

    &{locator_vars}=    Fetch Json Vars    file=D:\\word\\自动化\\script_template\\json_file\\call_center_locator_vars.json
    Set Global Variable    ${locator_vars}

    Set Log Level    ${gbl_vars}[log_level]
    #Debug Mode
    Close All Browsers

    Open Browser And Set Size    url=${gbl_vars}[url]    set_window_size=${True}    set_max_browser_window=${True}
    Logon Soboten    logon_type=0    email=${gbl_vars}[email]    password=${gbl_vars}[password]
    Sleep  7
    Wait Until Element Is Enabled    ${locator_vars}[我知道了]    60s
    Click Button    ${locator_vars}[我知道了]

    Click Element    ${locator_vars}[智客]
    switch window    NEW
    Wait Until Page Contains    已有企业微信    60s

My Test Setup

    Click Link    ${locator_vars}[首页]
    Wait Until Page Contains    首页    60s
	Sleep    2

#My Test Teardown
#	Sleep    1
#
#My Suite Teardown
#	Close All Browsers
